ci/ci-pharo-test.sh
changeset 549 8ad6734770cd
child 550 777f3813febc
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/ci/ci-pharo-test.sh	Mon Nov 09 00:38:23 2015 +0000
@@ -0,0 +1,29 @@
+#!/bin/bash
+# 
+# a CI job to run PetitCompiler tests on Pharo
+#
+set -e
+
+if test -x "ci-pharo-common.sh"; then
+    echo wget -O "ci-pharo-common.sh" fail-here
+fi
+. ci-pharo-common.sh
+
+ci_download_test_data
+
+ci_pharo_download_pharo
+ci_pharo_download_petitparser
+
+rm -rf Petit*Test.xml
+# Must turn off errexit option, Pharo return non-zero
+# status when one or more tests fail. 
+set +e
+./pharo $IMAGE test --junit-xml-output  \
+    PetitTests                          \
+    PetitAnalyzer                       \
+    PetitSmalltalk                      \
+    PetitJava                           \
+    PetitIslands                        \
+    PetitCompiler-Tests                 \
+    PetitCompiler-Extras-Tests		
+set -e